
#include <opencv2/highgui/highgui.hpp>
#include "image/imout.hpp"

namespace jafar {
namespace image {

imout_t imout;

void imout_t::flush_fun()
{
	if (!created)
	{
		cv::namedWindow("image::imout", 1);// CV_WINDOW_NORMAL/* | CV_WINDOW_FREERATIO*/);
	}
	
	if (image.width() > 0 && image.height() > 0)
	{
		image.setROI(0, 0, std::max(width,1), std::max(height,1));
		cv::imshow("image::imout", image);
		image.resetROI();
	}
}

}}
