#
# This script will generate the cubic arrays
#
A = -0.75
puts "static const int cubicKernelResolution = 255;"
arr = "static const double cubicKernel1[256] = { "
for i in 0...255
  t = i / 255.0
  arr += "#{(((A + 2)*(t) - (A + 3))*(t)*(t) + 1)}, "
end
puts "#{arr} };"


arr = "static const double cubicKernel2[256] = { "
for i in 0...255
  t = 1.0 + i / 255.0
  arr += "#{(((A*(t) - 5*A)*(t) + 8*A)*(t) - 4*A)}, "
end
puts "#{arr} };"


